## org.apache.fop.dom.svg
Class GraphicElement

    java.lang.Object
      |
      +--org.apache.fop.dom.NodeImpl
            |
            +--org.apache.fop.dom.ElementImpl
                  |
                  +--org.apache.fop.dom.svg.SVGElementImpl
                        |
                        +--org.apache.fop.dom.svg.GraphicElement

Direct Known Subclasses:
  SVGCircleElementImpl, SVGClipPathElementImpl, SVGDefsElementImpl, SVGDescElementImpl, SVGEllipseElementImpl, SVGGElementImpl, SVGImageElementImpl, SVGLineElementImpl, SVGMarkerElementImpl, SVGMaskElementImpl, SVGPathElementImpl, SVGPolygonElementImpl, SVGPolylineElementImpl, SVGRectElementImpl, SVGSetElementImpl, SVGStyleElementImpl, SVGSVGElementImpl, SVGSwitchElementImpl, SVGSymbolElementImpl, SVGTextContentElementImpl, SVGTitleElementImpl, SVGURIReferenceImpl, SVGUseElementImpl

public abstract class GraphicElement
extends SVGElementImpl
implements org.w3c.dom.svg.SVGTransformable, org.w3c.dom.svg.SVGLangSpace, org.w3c.dom.svg.SVGTests, org.w3c.dom.events.EventTarget

base class for SVG graphic objects. Graphic objects include rectangles, lines and text

Field Summary
`protected org.w3c.dom.svg.SVGStringList` `reqExtensions`
`protected org.w3c.dom.svg.SVGStringList` `reqFeatures`
`protected org.w3c.dom.svg.SVGStringList` `sysLanguage`

Fields inherited from class org.apache.fop.dom.NodeImpl
`childs, ownerDoc`

Constructor Summary
`GraphicElement()`

Method Summary
`void` `addEventListener(java.lang.String type, org.w3c.dom.events.EventListener listener, boolean useCapture)`
`boolean` `dispatchEvent(org.w3c.dom.events.Event evt)`
`org.w3c.dom.svg.SVGRect` `getBBox()`
`protected org.w3c.dom.svg.SVGRect` `getChildrenBBox()` Convenience method for implementations of SVGTransformable that have children that represents the bounding box
`org.w3c.dom.svg.SVGMatrix` `getCTM()` Returns the transformation matrix from current user units (i.e., after application of the transform attribute) to the viewport coordinate system for the nearestViewportElement.
`org.w3c.dom.svg.SVGElement` `getFarthestViewportElement()`
`org.w3c.dom.svg.SVGElement` `getNearestViewportElement()`
`org.w3c.dom.svg.SVGStringList` `getRequiredExtensions()`
`org.w3c.dom.svg.SVGStringList` `getRequiredFeatures()`
`org.w3c.dom.svg.SVGMatrix` `getScreenCTM()` Returns the transformation matrix from current user units (i.e., after application of the transform attribute) to the parent user agent's notice of a "pixel".
`org.w3c.dom.svg.SVGStringList` `getSystemLanguage()`
`org.w3c.dom.svg.SVGAnimatedTransformList` `getTransform()`
`org.w3c.dom.svg.SVGMatrix` `getTransformToElement(org.w3c.dom.svg.SVGElement element)`
`java.lang.String` `getXMLlang()`
`java.lang.String` `getXMLspace()`
`boolean` `hasExtension(java.lang.String extension)`
`void` `removeEventListener(java.lang.String type, org.w3c.dom.events.EventListener listener, boolean useCapture)`
`void` `setRequiredExtensions(org.w3c.dom.svg.SVGStringList requiredExtensions)`
`void` `setRequiredFeatures(org.w3c.dom.svg.SVGStringList requiredFeatures)`
`void` `setSystemLanguage(org.w3c.dom.svg.SVGStringList systemLanguage)`
`void` `setTransform(org.w3c.dom.svg.SVGAnimatedTransformList transform)`
`void` `setXMLlang(java.lang.String xmllang)`
`void` `setXMLspace(java.lang.String xmlspace)`

Methods inherited from class org.apache.fop.dom.svg.SVGElementImpl
`appendChild, getAnimatedPresentationAttribute, getClassName, getExternalResourcesRequired, getId, getNamespaceURI, getOwnerSVGElement, getPresentationAttribute, getStyle, getViewportElement, setClassName, setExternalResourcesRequired, setId, setOwnerSVG, setStyle`

Methods inherited from class org.apache.fop.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, hasAttribute, hasAttributeNS, hasAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.apache.fop.dom.NodeImpl
`cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTagName, hasChildNodes, insertBefore, isSupported, normalize, removeChild, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reqFeatures

    protected org.w3c.dom.svg.SVGStringList reqFeatures

### reqExtensions

    protected org.w3c.dom.svg.SVGStringList reqExtensions

### sysLanguage

    protected org.w3c.dom.svg.SVGStringList sysLanguage

Constructor Detail

### GraphicElement

    public GraphicElement()

Method Detail

### getNearestViewportElement

    public org.w3c.dom.svg.SVGElement getNearestViewportElement()

### getFarthestViewportElement

    public org.w3c.dom.svg.SVGElement getFarthestViewportElement()

### getTransform

    public org.w3c.dom.svg.SVGAnimatedTransformList getTransform()

  Specified by:
    getTransform in interface org.w3c.dom.svg.SVGTransformable

### setTransform

    public void setTransform(org.w3c.dom.svg.SVGAnimatedTransformList transform)

### getBBox

    public org.w3c.dom.svg.SVGRect getBBox()

### getCTM

    public org.w3c.dom.svg.SVGMatrix getCTM()

  Returns the transformation matrix from current user units (i.e., after application of the transform attribute) to the viewport coordinate system for the nearestViewportElement.

### getScreenCTM

    public org.w3c.dom.svg.SVGMatrix getScreenCTM()

  Returns the transformation matrix from current user units (i.e., after application of the transform attribute) to the parent user agent's notice of a "pixel". For display devices, ideally this represents a physical screen pixel. For other devices or environments where physical pixel sizes are not known, then an algorithm similar to the CSS2 definition of a "pixel" can be used instead. This is the matrix that converts from the user space to the position on the screen.

### getTransformToElement

    public org.w3c.dom.svg.SVGMatrix getTransformToElement(org.w3c.dom.svg.SVGElement element)
                                                    throws org.w3c.dom.svg.SVGException

### getXMLlang

    public java.lang.String getXMLlang()

  Specified by:
    getXMLlang in interface org.w3c.dom.svg.SVGLangSpace

### setXMLlang

    public void setXMLlang(java.lang.String xmllang)

  Specified by:
    setXMLlang in interface org.w3c.dom.svg.SVGLangSpace

### getXMLspace

    public java.lang.String getXMLspace()

  Specified by:
    getXMLspace in interface org.w3c.dom.svg.SVGLangSpace

### setXMLspace

    public void setXMLspace(java.lang.String xmlspace)

  Specified by:
    setXMLspace in interface org.w3c.dom.svg.SVGLangSpace

### getRequiredFeatures

    public org.w3c.dom.svg.SVGStringList getRequiredFeatures()

  Specified by:
    getRequiredFeatures in interface org.w3c.dom.svg.SVGTests

### setRequiredFeatures

    public void setRequiredFeatures(org.w3c.dom.svg.SVGStringList requiredFeatures)
                             throws org.w3c.dom.DOMException

### getRequiredExtensions

    public org.w3c.dom.svg.SVGStringList getRequiredExtensions()

  Specified by:
    getRequiredExtensions in interface org.w3c.dom.svg.SVGTests

### setRequiredExtensions

    public void setRequiredExtensions(org.w3c.dom.svg.SVGStringList requiredExtensions)
                               throws org.w3c.dom.DOMException

### hasExtension

    public boolean hasExtension(java.lang.String extension)

  Specified by:
    hasExtension in interface org.w3c.dom.svg.SVGTests

### getSystemLanguage

    public org.w3c.dom.svg.SVGStringList getSystemLanguage()

  Specified by:
    getSystemLanguage in interface org.w3c.dom.svg.SVGTests

### setSystemLanguage

    public void setSystemLanguage(org.w3c.dom.svg.SVGStringList systemLanguage)

### addEventListener

    public void addEventListener(java.lang.String type,
                                 org.w3c.dom.events.EventListener listener,
                                 boolean useCapture)

  Specified by:
    addEventListener in interface org.w3c.dom.events.EventTarget

### removeEventListener

    public void removeEventListener(java.lang.String type,
                                    org.w3c.dom.events.EventListener listener,
                                    boolean useCapture)

  Specified by:
    removeEventListener in interface org.w3c.dom.events.EventTarget

### dispatchEvent

    public boolean dispatchEvent(org.w3c.dom.events.Event evt)

  Specified by:
    dispatchEvent in interface org.w3c.dom.events.EventTarget

### getChildrenBBox

    protected org.w3c.dom.svg.SVGRect getChildrenBBox()

  Convenience method for implementations of SVGTransformable that have children that represents the bounding box

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.